NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.SketchAssociativeTrimBuilder Class Reference

Represents a NXOpen.SketchAssociativeTrimBuilder More...

Inheritance diagram for NXOpen.SketchAssociativeTrimBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  TrimOption { Keep, Discard }
 Represents the keep discard options for selected region More...
 

Public Member Functions

unsafe NXOpen.Section CreateSection ()
 The function creates a new empty section object and adds it to the builder More...
 
unsafe void DeselectRegion (NXOpen.Point3d helpPoint)
 The region corresponding to help point will be delsected from being kept/discarded depending on trim type More...
 
unsafe NXOpen.Section[] GetSections ()
 This function gets all sections of the trim constraint during create/edit More...
 
unsafe void RemoveSection (NXOpen.Section section)
 The function removes the given section from the builder More...
 
unsafe void ResetRegions ()
 The regions are forced to be deselected More...
 
unsafe void SelectRegion (NXOpen.Point3d helpPoint)
 The function sets help point for region select. More...
 
unsafe void UpdateRegions ()
 The regions are recreated and updated to reflect the change in the boundary curves More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.SelectNXObjectList RecipeCurves [get]
 Returns the input curves. More...
 
unsafe
NXOpen.SketchAssociativeTrimBuilder.TrimOption 
TrimType [get, set]
 Returns or sets the trim region type - if the region needs to be kept/discarded More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.SketchAssociativeTrimBuilder

To create a new instance of this class, use NXOpen.SketchCollection.CreateSketchAssociativeTrimBuilder

Default values.

Property Value

TrimType

Keep

Created in NX5.0.0

Member Enumeration Documentation

Represents the keep discard options for selected region

Enumerator
Keep 

Selected region will be kept.

Default set.

Discard 

Selected region will be discarded.

Member Function Documentation

unsafe NXOpen.Section NXOpen.SketchAssociativeTrimBuilder.CreateSection ( )
inline

The function creates a new empty section object and adds it to the builder

Created in NX6.0.0

License requirements: None.

Returns
New section object
unsafe void NXOpen.SketchAssociativeTrimBuilder.DeselectRegion ( NXOpen.Point3d  helpPoint)
inline

The region corresponding to help point will be delsected from being kept/discarded depending on trim type

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
helpPointHelp point for region selection
unsafe NXOpen.Section [] NXOpen.SketchAssociativeTrimBuilder.GetSections ( )
inline

This function gets all sections of the trim constraint during create/edit

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
All the sections associated with the builder
unsafe void NXOpen.SketchAssociativeTrimBuilder.RemoveSection ( NXOpen.Section  section)
inline

The function removes the given section from the builder

Created in NX6.0.0

License requirements: None.

Parameters
sectionSection object to remove
unsafe void NXOpen.SketchAssociativeTrimBuilder.ResetRegions ( )
inline

The regions are forced to be deselected

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.SketchAssociativeTrimBuilder.SelectRegion ( NXOpen.Point3d  helpPoint)
inline

The function sets help point for region select.

The region corresponding to help point will be kept/discarded depending on trim type

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
helpPointHelp point for region selection
unsafe void NXOpen.SketchAssociativeTrimBuilder.UpdateRegions ( )
inline

The regions are recreated and updated to reflect the change in the boundary curves

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Property Documentation

unsafe NXOpen.SelectNXObjectList NXOpen.SketchAssociativeTrimBuilder.RecipeCurves
get

Returns the input curves.

These curves must be a part of a single continuous recipe chain.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SketchAssociativeTrimBuilder.TrimOption NXOpen.SketchAssociativeTrimBuilder.TrimType
getset

Returns or sets the trim region type - if the region needs to be kept/discarded

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.